Package org.apache.sling.jackrabbit.usermanager

# Enum Class AuthorizablePrivilegesInfo.PropertyUpdateTypes

java.lang.Object
java.lang.Enum<AuthorizablePrivilegesInfo.PropertyUpdateTypes>
org.apache.sling.jackrabbit.usermanager.AuthorizablePrivilegesInfo.PropertyUpdateTypes

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthorizablePrivilegesInfo.PropertyUpdateTypes>`, `Constable`

Enclosing interface:
  AuthorizablePrivilegesInfo

public static enum AuthorizablePrivilegesInfo.PropertyUpdateTypes extends Enum<AuthorizablePrivilegesInfo.PropertyUpdateTypes>
An enumeration of the possible types of property changes

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD_NESTED_PROPERTY`
`ADD_PROPERTY`
`addNestedProperty`
Deprecated.
use `ADD_NESTED_PROPERTY` instead
`addProperty`
Deprecated.
use `ADD_PROPERTY` instead
`ALTER_PROPERTY`
`alterProperty`
Deprecated.
use `ALTER_PROPERTY` instead
`REMOVE_PROPERTY`
`removeProperty`
Deprecated.
use `REMOVE_PROPERTY` instead

## Method Summary

Modifier and Type
Method
Description
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes`
`convertDeprecated(AuthorizablePrivilegesInfo.PropertyUpdateTypes updateType)`
If the supplied item is one of the deprecated ones, then return the equivalent item that replaced it.
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthorizablePrivilegesInfo.PropertyUpdateTypes[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### addProperty

@Deprecated public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes addProperty
Deprecated.
use `ADD_PROPERTY` instead

### addNestedProperty

@Deprecated public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes addNestedProperty
Deprecated.
use `ADD_NESTED_PROPERTY` instead

### alterProperty

@Deprecated public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes alterProperty
Deprecated.
use `ALTER_PROPERTY` instead

### removeProperty

@Deprecated public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes removeProperty
Deprecated.
use `REMOVE_PROPERTY` instead

### ADD_PROPERTY

public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes ADD_PROPERTY

### ADD_NESTED_PROPERTY

public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes ADD_NESTED_PROPERTY

### ALTER_PROPERTY

public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes ALTER_PROPERTY

### REMOVE_PROPERTY

public static final AuthorizablePrivilegesInfo.PropertyUpdateTypes REMOVE_PROPERTY

## Method Details

### values

public static AuthorizablePrivilegesInfo.PropertyUpdateTypes[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthorizablePrivilegesInfo.PropertyUpdateTypes valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### convertDeprecated

public static AuthorizablePrivilegesInfo.PropertyUpdateTypes convertDeprecated(AuthorizablePrivilegesInfo.PropertyUpdateTypes updateType)
If the supplied item is one of the deprecated ones, then return the equivalent item that replaced it.

Parameters:
  `updateType` - the item to check
Returns:
  the non-deprecated equivalent or the original if it is not one of the deprecated items